Skip to content
The House Rules API is soon to be sunset

Booking.com has deprecated the house rules endpoints (POST /house-rules/properties/{property_id} and GET /house-rules/properties/{property_id}) on December 31, 2024. We will sunset these endpoints on December 31, 2026. For more information on the deprecation and sunsetting timeline, see House Rules in Content API.

The same functionality is available in the new Property Settings API. To learn more, see Managing property settings.

Retrieve house rules for a property

Retrieve the house rules for a property using the method below. House rules are only available for Booking Home property types.

Method and URL

GET https://supply-xml.booking.com/house-rules/properties/{property_id}

Request parameters

ParameterDescriptionTypeRequiredNotes
property_idThe property for which you want to retrieve house rules.integerRequired-

Request headers

HeaderDescriptionTypeRequiredNotes
AuthorizationJWT access token. Example: Bearer {JWT}stringRequired-

Sample request

GET /house-rules/properties/1234567
Host: supply-xml.booking.com
Authorization: Bearer {JWT}
Content-Type: application/json

Sample response — Success

{
    "warnings": [],
    "meta": {
        "ruid": "UmFuZG9etc"
    },
    "errors": [],
    "data": {
        "pets_price_type": "charges_may_apply",
        "quiet_hours_start_time": null,
        "parties_allowed": 1,
        "smoking_allowed": 1,
        "pets_allowed": "no",
        "quiet_hours_end_time": null,
        "quiet_hours_set": 0
    }
}

Sample response — Errors

{
    "errors": [
        {
            "message": "This property is not eligible for house rules.",
            "code": "OPERATION_NOT_ALLOWED",
            "details": null
        }
    ],
    "data": {},
    "warnings": [],
    "meta": {
        "ruid": "UmFuZG9etc"
    }
}

Response headers

HeaderDescriptionTypeNotes
RUIDResponse Unique IDentifier.string-

Response body

FieldDescriptionTypeNotes
data.pets_allowedSpecifies whether pets are allowed.stringValues: yes, no, on_request
data.pets_price_typeSpecifies whether charges apply for bringing pets (if allowed).stringValues: free, charges_may_apply
data.quiet_hours_setSpecifies whether the property has quiet hours (1) or not (0).intValues: 0 (no), 1 (yes)
data.quiet_hours_start_timeQuiet hours start time.stringFormat: HH:00, where HH is 1–23.
data.quiet_hours_end_timeQuiet hours end time.stringFormat: HH:00, where HH is 1–23.
data.parties_allowedSpecifies whether guests may have parties at the property (1) or not (0).intValues: 0 (no), 1 (yes)
data.smoking_allowedSpecifies whether smoking in the property is allowed (1) or not (0).intValues: 0 (no), 1 (yes)
errorsArray with errors, if they existarray

Response codes

CodeDescriptionNotes
400Bad request.-
404Resource not found.-